#pragma once
#include <map>
struct M_ActivityMayDayLuckDrawCFGData
{
	//编号
	int mID;
	//生肖抽奖消耗
	int mRaffleConsumption1;
	//幸运抽奖消耗
	int mRaffleConsumption2;
	//保底2挡次数
	int mBottomGuard1;
	//保底3挡次数
	int mBottomGuard2;
	//消耗ID
	int mConsumeID;
};

class M_ActivityMayDayLuckDrawCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMayDayLuckDrawCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMayDayLuckDrawCFGData* GetData(int ID);
	const std::map<int, M_ActivityMayDayLuckDrawCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityMayDayLuckDrawCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityMayDayLuckDrawCFGData> mMapData;
};
